## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XObject::XObjectInvalidConversionException Class Reference

`#include <XObject.hpp>`

Inheritance diagram for XObject::XObjectInvalidConversionException

Collaboration diagram for XObject::XObjectInvalidConversionException:

List of all members.

## Public Methods

- XObjectInvalidConversionException ( const XalanDOMString& fromType, const XalanDOMString& toType)
- virtual ~XObjectInvalidConversionException ()
- const XalanDOMString& getFromType () const
- const XalanDOMString& getToType () const

## Constructor & Destructor Documentation

XObject::XObjectInvalidConversionException::XObjectInvalidConversionException ( | const XalanDOMString & fromType,
| const XalanDOMString & toType )

virtual XObject::XObjectInvalidConversionException::~XObjectInvalidConversionException ( | )`[virtual]`

## Member Function Documentation

const XalanDOMString & XObject::XObjectInvalidConversionException::getFromType ( | ) const`[]`

const XalanDOMString & XObject::XObjectInvalidConversionException::getToType ( | ) const`[]`

The documentation for this class was generated from the following file:

- XObject.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.